#include <iostream>
#include <math.h>
using namespace std;
int main(){
	char a,b;
	int a1,b1;
	cin >> a >> b >> a1 >> b1;
	if(abs(a1-b1) == 0){
		for(int i = 0; i < a1; i++) cout << a << b;
	} else if(abs(a1-b1) == 1){
		if(b1 > a1){
			swap(a1,b1);
			swap(a,b);
		} 
		cout << a;
		for(int i = 0; i < b1; i++) cout << b << a;
	}else cout << "nemoguce";
	
}